/*窗口返回*/
function windowclose(){
	uexWindow.close(-1);
}

/*注册第一步验证*/
function checkReg1(){
	//信息验证
	var phonenumber = $('#phonenumber').val();
	var loginpwd = $('#loginpwd').val();
	var paypwd = $('#paypwd').val();
	
	var protocol = $('#protocol').val();
	
	var phonenumberReg = /^1[3|4|5|7|8][0-9]\d{4,8}$/;
	if(!phonenumberReg.test(phonenumber)){
		uexWindow.toast('0','5','手机号码格式不正确',"2000");
		return false;
	}
	var pwdReg1 = /^([0-9]|[a-z]|[A-Z]){6,16}$/;//匹配数字与字母
	var pwdReg2 = /^([0-9]){1,}$/;//全部为数字
	var pwdReg3 = /^([a-z]|[A-Z]){1,}$/;//全部为字母
	if(pwdReg2.test(loginpwd)){
		uexWindow.toast('0','5','登录密码不能全为数字',"2000");
		return false;
	}
	if(pwdReg3.test(loginpwd)){
		uexWindow.toast('0','5','登录密码不能全为字母',"2000");
		return false;
	}
	if(!pwdReg1.test(loginpwd)){
		uexWindow.toast('0','5','登录密码须为6-16位数字与字母组合',"2000");
		return false;
	}
	if(pwdReg2.test(paypwd)){
		uexWindow.toast('0','5','支付密码不能全为数字',"2000");
		return false;
	}
	if(pwdReg3.test(paypwd)){
		uexWindow.toast('0','5','支付密码不能全为字母',"2000");
		return false;
	}
	if(!pwdReg1.test(paypwd)){
		uexWindow.toast('0','5','支付密码须为6-16位数字与字母组合',"2000");
		return false;
	}
	
	//清除原先的localStorage部分值
	localStorage.removeItem("jieyitong_reg_regname");
	localStorage.removeItem("jieyitong_reg_password");
	localStorage.removeItem("jieyitong_reg_paypass");
	//设置localStorage部分值
	localStorage["jieyitong_reg_regname"]= phonenumber;
	loginpwd = $.md5(loginpwd).substring(8,24);
	paypwd = $.md5(paypwd).substring(8,24);
	localStorage["jieyitong_reg_password"]= loginpwd;
	localStorage["jieyitong_reg_paypass"]= paypwd;
	//发送验证码
	sendMsgCode('registration1.html',phonenumber,'1',SENDCODE_CHANGETYPE_4,'0');
}

function checkReg2(){
	var verifycode = $('#verifycode').val();
	if(verifycode==null||verifycode==''){
		uexWindow.toast('0','5','验证码不能为空',"2000");
		return false;
	}
	var httpId = 1001;
	uexXmlHttpMgr.onData = function(inOpCode,inStatus,inResult){
	 if(inStatus == 1){
		uexXmlHttpMgr.close(httpId);
		$(inResult).find("status").each(function(){
	   		var statusValue = $(this).text();
			alert(statusValue);
			if(statusValue == '0'){
				uexWindow.toast('0','5','注册成功',"2000");
				uexWindow.open("login", "0", "login.html", "0", "0", "0", "0", "0");
			}else{
				var msg;
				$(inResult).find("msg").each(function(){
					msg = $(this).text();
				});
				uexWindow.toast('0','5',msg,"2000");
			}
	   	});
	 }
	}
	//获取localStorage
	var regname = localStorage["jieyitong_reg_regname"];
	var password = localStorage["jieyitong_reg_password"];
	var paypass = localStorage["jieyitong_reg_paypass"];
	//开始一个跨域异步请求
	uexXmlHttpMgr.open(httpId,'post',REGISTER_URL,30000);
	uexXmlHttpMgr.setPostData(httpId,'0','regname',regname);
	uexXmlHttpMgr.setPostData(httpId,'0','regtype','1');
	uexXmlHttpMgr.setPostData(httpId,'0','verifycode',verifycode);
	uexXmlHttpMgr.setPostData(httpId,'0','password',password);
	uexXmlHttpMgr.setPostData(httpId,'0','paypass',paypass);
	uexXmlHttpMgr.send(httpId);
}

function sendMsgCode(pagename,sendname,sendtype,changetype,clienttype){//sendname:输入内容（手机号 ）  sendtype:  找回密码方式（1.短信）changetype:操作类型（1.登录密码 2.支付密码 3.验证绑定 4.注册帐号 5.更新绑定）clienttype:0.WAP
//	var httpId = 1000;
//	uexXmlHttpMgr.onData = function(inOpCode,inStatus,inResult){
//	 if(inStatus == 1){
//		uexXmlHttpMgr.close(httpId);
//		$(inResult).find("status").each(function(){
//	   		var statusValue = $(this).text();
//			if(pagename == 'registration1.html'){
//				alert(statusValue);
//				if(statusValue == '0'){
//					uexWindow.open("register2", "0", "registration2.html", "0", "0", "0", "0", "0");
//				}else{
//					var msg;
//					$(inResult).find("msg").each(function(){
//						msg = $(this).text();
//					});
//					uexWindow.toast('0','5',msg,"2000");
//				}
//			}
//			if(pagename == 'registration2.html'){
//				if(statusValue == '0'){
//					uexWindow.toast('0','5','验证码已经重新发送成功',"2000");
//				}else{
//					var msg;
//					$(inResult).find("msg").each(function(){
//						msg = $(this).text();
//					});
//					uexWindow.toast('0','5',msg,"2000");
//				}
//			}
//	   	});
//	 }
//	}
//	//开始一个跨域异步请求
//	uexXmlHttpMgr.open(httpId,'post',SENDCODE_URL,30000);
//	uexXmlHttpMgr.setPostData(httpId,'0','sendname',sendname);
//	uexXmlHttpMgr.setPostData(httpId,'0','sendtype',sendtype);
//	uexXmlHttpMgr.setPostData(httpId,'0','changetype',changetype);
//	uexXmlHttpMgr.setPostData(httpId,'0','clienttype',clienttype);
//	uexXmlHttpMgr.send(httpId);
	$.ajax({
		dataType: 'jsonp',
		url: SENDCODE_URL,
		success: function(data){
			alert(data);
		}
	});
}
